--*******************************
--  EHSD
--  CHART DISPLAY
--*******************************
local mpcd_path = LockOn_Options.script_path.."MPCD/indicator/EHSD/"

dofile(LockOn_Options.script_path.."MPCD/indicator/MPCD_definitions.lua")

-- MENU
-- TOP
local	ehsd_mmap_btn_08				= CreateElement "ceStringPoly"
		ehsd_mmap_btn_08.name			= "ehsd_mmap_btn_08"
		ehsd_mmap_btn_08.material		= mpcd_tpod_font
		ehsd_mmap_btn_08.init_pos		= mpcd_btn_08_pos
		ehsd_mmap_btn_08.alignment		= "CenterCenter"
		ehsd_mmap_btn_08.value			= "CHRT"
		ehsd_mmap_btn_08.stringdefs		= MPCD_default_font_size
Add_MPCD_VIDEO_Element(ehsd_mmap_btn_08)

-- BOTTOM
local	ehsd_btn_18				= CreateElement "ceStringPoly"
		ehsd_btn_18.name		= "ehsd_btn_18"
		ehsd_btn_18.material	= mpcd_tpod_font
		ehsd_btn_18.init_pos	= mpcd_btn_18_pos
		ehsd_btn_18.alignment	= "CenterCenter"
		ehsd_btn_18.value		= "MENU"
		ehsd_btn_18.stringdefs	= MPCD_default_font_size
Add_MPCD_VIDEO_Element(ehsd_btn_18)

-- BOXED SELECTION
local	wpn_menu_06_boxed				= create_mpcd_textured_box( 60, 4, 175, 50)
		wpn_menu_06_boxed.name			= "wpn_menu_06_boxed"
		wpn_menu_06_boxed.init_pos		= mpcd_btn_06_pos
Add_MPCD_VIDEO_Element(wpn_menu_06_boxed)

-- DISPLAY
local	title_top				= CreateElement "ceStringPoly"
		title_top.name			= "title_top"
		title_top.material		= mpcd_tpod_font
		title_top.init_pos		= {0.0,  0.49, 0}
		title_top.alignment		= "CenterCenter"
		title_top.value			= "CLASSIFIED DATA"
		title_top.stringdefs	= MPCD_data1_font_size
Add_MPCD_Element(title_top)

local	title_bottom				= CreateElement "ceStringPoly"
		title_bottom.name			= "title_bottom"
		title_bottom.material		= mpcd_tpod_font
		title_bottom.init_pos		= {0.0,  0.33, 0}
		title_bottom.alignment		= "CenterCenter"
		title_bottom.value			= "AMU"
		title_bottom.stringdefs		= MPCD_data1_font_size
Add_MPCD_Element(title_bottom)
